## pyvisa 1.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/usbio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/usbio.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## Contents of the old makefile:
##
## .PHONY: all upload
##  
## all: vpp43.html index.html pyvisa.pdf pyvisa
##  
## vpp43.html: vpp43.txt
##  	rst2html.py vpp43.txt > vpp43.html
##  
## index.html: homepage.txt
##  	rst2html.py homepage.txt | \
##  	  sed -e "s%<meta name=\"author\" content=\"Torsten Bronger &lt;bronger&#64;physik.rwth-aachen.de&gt;\" />%\\0\n<meta name=\"keywords\" content=\"Python GPIB VISA USB RS232 data acquisition\" />%" \
##  	  > index.html
##  
## # I have to do the following in /tmp because latex2html doesn't want to work in
## # a path that contains a dot.  Unfortunately, the BUILD directory that
## # Distutils creates contains one.
##  
## pyvisa.pdf: pyvisa.tex
##  	rm -Rf pyvisa /tmp/pyvisa
##  	cp pyvisa.tex /tmp/
##  	cd /tmp ; /usr/lib/python2.5/doc/tools/mkhowto --pdf --html \
##  	  --up-link http://pyvisa.sourceforge.net \
##  	  --up-title "PyVISA homepage" --numeric --image-type=png \
##  	  --iconserver=. pyvisa.tex
##  	mv /tmp/pyvisa.pdf /tmp/pyvisa .
##  
## upload: all
##  	scp vpp43.html index.html default.css pyvisa.pdf \
##  	  shell.sf.net:/home/groups/p/py/pyvisa/htdocs/

=== debian/changelog ===
pyvisa (1.4-1) unstable; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Tue, 29 Jan 2013 23:50:45 +0100

=== debian/control ===
Source: pyvisa
Section: electronics
Priority: extra
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends: debhelper (>= 9), python-setuptools, python-docutils, python-jinja2, python-mock, python-pygments, python-sphinx, python | python-all | python-dev | python-all-dev
Standards-Version: 3.9.3
Homepage: http://pyvisa.sourceforge.net/

Package: pyvisa
Architecture: all
Depends: libvisa0, ${misc:Depends}
Description: Python bindings for Virtual Instrument Software Architecture
 The VISA standard provides a common interface for communication with test
 and measurement equipment.
 .
 This package provides Python bindings for VISA.

=== debian/watch ===
version=3
http://sf.net/pyvisa/PyVISA-(.*)\.tar\.gz

## pyvisa 1.7

=== debian/changelog ===
pyvisa (1.7-1) unstable; urgency=medium

  * New upstream release 
  * Updated d/copyright with info about new files.
  * d/control:
    - transitional package pyvisa moved to Section "oldlibs" and description
      changed.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 29 May 2015 16:50:18 +0200

pyvisa (1.6.3-4) unstable; urgency=medium

  * d/control:
    - Added missing install dependencies: python-pkg-resources and
      python3-pkg-resources

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 28 May 2015 22:45:17 +0200

pyvisa (1.6.3-3) unstable; urgency=low

  * Uploaded to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 23 May 2015 11:55:57 +0200

pyvisa (1.6.3-2) experimental; urgency=low

  * Added python3 binary: python3-pyvisa
  * Renamed pyvisa binary to python-pyvisa
  * debian/copyright:
    - Added copyright year and comment for Hernan E. Grecco
  * debian/control:
    - Added everything needed for building python3 binary as well
      as python2 binary.
    - Cleaned up Build-Depends list
    - Section: python, Priority: optional
    - python-pyvisa "replaces" and "breaks" pyvisa to provide backwards
      compatibility
    - pyvisa transitional dummy package added
  * debian/docs --> python-pyvisa.docs and python3-pyvisa.docs
  * debian/install --> python-pyvisa.install and python3-pyvisa.install
  * debian/rules:
    - Added --with python3 and --buildsystem=python_distutils
    - More in override_dh_auto_clean to properly clean up
    - override_dh_auto_build and override_dh_auto_install for building
      python3 binary correctly.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 16 Mar 2015 19:11:37 +0100

pyvisa (1.6.3-1) experimental; urgency=low

  * New upstream release (Closes: 775767)
    - All patches removed
  * New maintainer
  * debian/control:
    - Added new dependencies: dh-python, {python:Depends}
    - Removed unneeded dependencies
    - Standards-version to 3.9.6
    - Added X-Python-Version
  * debian/copyright:
    - Added new copyright holders
    - Changed source URL
  * debian/rules:
    - Added override_dh_auto_clean to properly clean
    - Install CHANGES as upstream changelog since it
      is the newest
  * debian/watch: Changed URL (upstream has changed)
  * Added debian/gbp.conf to enable pristine-tar build
  * Added debian/docs and debian/install for installing docs

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 12 Mar 2015 07:44:18 +0100

=== debian/control ===
Source: pyvisa
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: all
X-Python3-Version: >= 3.1
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyvisa.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyvisa.git
Homepage: http://pyvisa.sourceforge.net/

Package: pyvisa
Depends: python-pyvisa, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: Transitional dummy package for python-pyvisa
 This is a transitional dummy package. It can safely be removed.

Package: python-pyvisa
Architecture: all
Depends: libvisa0, python-pkg-resources, ${python:Depends}, ${misc:Depends}
Replaces: pyvisa (<< 1.6.3-2)
Breaks: pyvisa (<< 1.6.3-2)
Description: Python bindings for Virtual Instrument Software Architecture
 The VISA standard provides a common interface for communication with test
 and measurement equipment.
 .
 This package provides Python bindings for VISA.

Package: python3-pyvisa
Architecture: all
Depends: libvisa0, python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
Description: Python3 bindings for Virtual Instrument Software Architecture
 The VISA standard provides a common interface for communication with test
 and measurement equipment.
 .
 This package provides Python3 bindings for VISA.

## pyvisa 1.8

=== debian/changelog ===
pyvisa (1.8-4) unstable; urgency=low

  * Moved python-pyvisa-py back from Depends to Recommends. (Closes: #836963)
    This fixes a circular dependency issue.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 22 Sep 2016 19:22:55 +0200

pyvisa (1.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Ruben Undheim ]
  * debian/control:
    - Move libvisa0 from Depends to Suggests
    - Move python-pyvisa-py from Recommends to Depends
    - New Standards version 3.9.8

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 27 Aug 2016 10:41:27 +0200

pyvisa (1.8-2) unstable; urgency=low

  * debian/control:
    - Recommend pyvisa-py
    - Small improvement of package description

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 12 Sep 2015 01:38:44 +0200

pyvisa (1.8-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 01 Sep 2015 22:26:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: all
 X-Python3-Version: >= 3.1
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyvisa.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/pyvisa.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyvisa.git
 Homepage: http://pyvisa.sourceforge.net/
 
 Package: pyvisa
@@ -26,7 +26,9 @@
 
 Package: python-pyvisa
 Architecture: all
-Depends: libvisa0, python-pkg-resources, ${python:Depends}, ${misc:Depends}
+Depends: python-pkg-resources, ${python:Depends}, ${misc:Depends}
+Recommends: python-pyvisa-py
+Suggests: libvisa0
 Replaces: pyvisa (<< 1.6.3-2)
 Breaks: pyvisa (<< 1.6.3-2)
 Description: Python bindings for Virtual Instrument Software Architecture
@@ -37,9 +39,11 @@
 
 Package: python3-pyvisa
 Architecture: all
-Depends: libvisa0, python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
-Description: Python3 bindings for Virtual Instrument Software Architecture
+Depends: python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
+Recommends: python3-pyvisa-py
+Suggests: libvisa0
+Description: Python 3 bindings for Virtual Instrument Software Architecture
  The VISA standard provides a common interface for communication with test
  and measurement equipment.
  .
- This package provides Python3 bindings for VISA.
+ This package provides Python 3 bindings for VISA.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

override_dh_auto_clean:
	$(RM) -r PyVISA.egg-info
	$(RM) -r build
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/tmp; \
	done;

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

=== debian/watch ===
version=3
https://github.com/hgrecco/pyvisa/releases /hgrecco/pyvisa/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pyvisa 1.9.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pyvisa.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pyvisa.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pyvisa"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pyvisa"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyvisa (1.9.1-1) unstable; urgency=medium

  * New upstream release
    - Drop patch
  * debian/upstream/metadata added pointing to github

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 19 Aug 2018 22:22:03 +0200

pyvisa (1.9.0-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * debian/control: Set Vcs-* to salsa.debian.org
  * debian/copyright: Use https protocol in Format field
  * debian/control: Deprecating priority extra as per policy 4.0.1
  * debian/changelog: Remove trailing whitespaces
  * debian/control: Remove ancient X-Python3-Version field

  [ Ruben Undheim ]
  * Updated homepage URL, watch URL and source url in debian/copyright
  * debian/copyright: Updates according to changes in new release
  * debian/compat: compat level set to 11
  * debian/control:
    - debhelper >= 11
    - Standards version 4.2.0
  * Deleted debian/.git-dpm
  * debian/patches/0001-fix-build.patch:
    - Fix an issue popping up when building on latest sid

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 05 Aug 2018 21:12:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,21 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 X-Python-Version: all
-X-Python3-Version: >= 3.1
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyvisa.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyvisa.git
-Homepage: http://pyvisa.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pyvisa
+Vcs-Git: https://salsa.debian.org/python-team/modules/pyvisa.git
+Homepage: https://pyvisa.readthedocs.io/
 
 Package: pyvisa
 Depends: python-pyvisa, ${misc:Depends}
 Architecture: all
-Priority: extra
 Section: oldlibs
 Description: Transitional dummy package for python-pyvisa
  This is a transitional dummy package. It can safely be removed.

## pyvisa 1.10.1

=== debian/changelog ===
pyvisa (1.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Ruben Undheim ]
  * New upstream release
  * DH level 12

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 23:17:14 +0200

pyvisa (1.9.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Team upload.
  * Remove Python 2 support; Closes: #938296
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 08 Sep 2019 23:51:59 -0400

=== debian/control ===
Source: pyvisa
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.1
X-Python-Version: all
Vcs-Browser: https://salsa.debian.org/python-team/modules/pyvisa
Vcs-Git: https://salsa.debian.org/python-team/modules/pyvisa.git
Homepage: https://pyvisa.readthedocs.io/

Package: python3-pyvisa
Architecture: all
Depends: python3-pkg-resources, ${python3:Depends}, ${misc:Depends}
Recommends: python3-pyvisa-py
Suggests: libvisa0
Description: Python 3 bindings for Virtual Instrument Software Architecture
 The VISA standard provides a common interface for communication with test
 and measurement equipment.
 .
 This package provides Python 3 bindings for VISA.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	$(RM) -r PyVISA.egg-info
	$(RM) -r build
	dh_auto_clean

#override_dh_auto_build:
#	dh_auto_build
#	set -ex; for python in $(shell py3versions -r); do \
#		$$python setup.py build; \
#	done

#override_dh_auto_install:
#	dh_auto_install
#	set -ex; for python in $(shell py3versions -r); do \
#		$$python setup.py install --install-layout=deb \
#		--root $(CURDIR)/debian/tmp; \
#	done;

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

=== debian/watch ===
version=3
https://github.com/pyvisa/pyvisa/releases /pyvisa/pyvisa/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pyvisa 1.11.3

=== debian/changelog ===
pyvisa (1.11.3-2) unstable; urgency=medium

  * debian/control:
    - Change from Depends to Recommends: python3-pyvisa-py
      to prevent a cyclic dependency causing deadlock when building.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 28 Dec 2020 13:07:36 +0100

pyvisa (1.11.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13
  * debian/copyright:
    - Remove copyright information for deleted files
  * debian/control:
    - Drop ancient X-Python-Version field
    - New build-dependencies: python3-setuptools-scm, python3-pytest,
      python3-typing-extensions
    - New install dependency: python3-pyvisa-py (>= 0.5)
    - Rules-Requires-Root:
    - Standards-Version: 4.5.1
    - Testsuite: autopkgtest-pkg-python
  * debian/patches/0001-Skip-unreliable-tests.patch:
    - Two tests are unreliable in the new upstream delivery. Skip them
  * debian/rules:
    - Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
      update)
  * Add debian/salsa-ci.yaml
  * debian/watch:
    - Update watch file format version to 4.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 26 Dec 2020 14:19:47 +0100

=== debian/control ===
Source: pyvisa
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest,
               python3-typing-extensions
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyvisa
Vcs-Git: https://salsa.debian.org/python-team/packages/pyvisa.git
Homepage: https://pyvisa.readthedocs.io/
Rules-Requires-Root: no

Package: python3-pyvisa
Architecture: all
Depends: python3-pkg-resources,
         ${python3:Depends},
         ${misc:Depends},
Recommends: python3-pyvisa-py (>= 0.5)
Suggests: libvisa0
Description: Python 3 bindings for Virtual Instrument Software Architecture
 The VISA standard provides a common interface for communication with test
 and measurement equipment.
 .
 This package provides Python 3 bindings for VISA.

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,6 @@
 #		--root $(CURDIR)/debian/tmp; \
 #	done;
 
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES

=== debian/watch ===
version=4
https://github.com/pyvisa/pyvisa/releases /pyvisa/pyvisa/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## pyvisa 1.14.1

=== docs/Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
-BUILDDIR      = _build
+BUILDDIR      = build
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

=== docs/requirements.txt ===
sphinx>=4
sphinx-rtd-theme>=1

=== debian/changelog ===
pyvisa (1.14.1-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Scrape /<org>/<repo>/tags, not /<org>/<repo>/releases.
  * New upstream release (closes: #1084175).
  * Simplify how test_visa_info is skipped.
  * Drop now-unused dependency on python3-pkg-resources (closes: #1083732).

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Oct 2024 22:37:16 +0100

pyvisa (1.11.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 16:46:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-setuptools-scm,
@@ -19,8 +20,7 @@
 
 Package: python3-pyvisa
 Architecture: all
-Depends: python3-pkg-resources,
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
 Recommends: python3-pyvisa-py (>= 0.5)
 Suggests: libvisa0

=== debian/rules ===
#!/usr/bin/make -f

# Apparently unreliable; see changelog for 1.11.3-1.
export PYBUILD_TEST_ARGS := -k 'not test_visa_info'

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	$(RM) -r PyVISA.egg-info
	$(RM) -r build
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

=== debian/watch ===
version=4
https://github.com/pyvisa/pyvisa/tags /pyvisa/pyvisa/archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
